curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
主题与页面模板
列出主题
GET /theme/
GET
/
theme
/
curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
在 Management API 主机(
api.scanova.io)上列出每个活跃主题,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/theme/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
主题是页面构建器的共享只读资源——此端点返回系统主题以及每个账户自己的主题,而不仅仅是您的主题。不分页;响应是一个纯数组。系统主题(
is_system: true)排在最前,然后按 order,再按 name 排序。curl "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
[
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
]
config_json 遵循 ThemeConfigV2 模式(颜色、字体及其他设计令牌);schema_version 对于旧版 v1 主题为 null,对于当前主题为 2。
相关内容
- 创建主题——保存一个新主题。
- 获取主题——按 slug 或 id 获取一个主题。
- 更新主题——编辑您拥有的主题。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200 - application/json
Plain array of themes.
此页面对您有帮助吗?